Please read the posts in the Announcements section about the current status of Cumulus development now that I have retired

Please read this post before posting

Latest Cumulus release v1.9.4 (build 1099) - Nov 28 2014
Latest Cumulus MX release - v3.0.0 build 3043 Jan 20 2017. See this post for download

Search found 884 matches

by saratogaWX
Sat Jun 23, 2018 9:53 pm
Forum: Web site - General
Topic: php error in logs
Replies: 16
Views: 155

Re: php error in logs

Don't sweat either of them.
You can always turn off Notice error notifications with a php.ini file change so they don't annoy you. Notice errata are not very important.. only Warning and above are important.
by saratogaWX
Sat Jun 23, 2018 9:47 pm
Forum: Web site - General
Topic: php error in logs
Replies: 16
Views: 155

Re: php error in logs

Line 32 $param = array( temp, rain, wind, gust, winddir, baro, chill, rain, dew, heat, hum, ); // Add other parameters here - ensuring webtags are created first. should be $param = array( 'temp', 'rain', 'wind', 'gust', 'winddir', 'baro', 'chill', 'rain', 'dew', 'heat', 'hum' ); // Add other paramet...
by saratogaWX
Sat Jun 23, 2018 9:32 pm
Forum: Web site - General
Topic: php error in logs
Replies: 16
Views: 155

Re: php error in logs

Umm... you did fix ALL the ones cited in the Notice messages, yes? That is: baro is replaced with 'baro' in /home/pi/usb/website/spark.php on line 32 chill is replaced with 'chill' in /home/pi/usb/website/spark.php on line 32 rain is replaced with 'rain' in /home/pi/usb/website/spark.php on line 32 ...
by saratogaWX
Sat Jun 23, 2018 6:42 pm
Forum: Web site - General
Topic: php error in logs
Replies: 16
Views: 155

Re: php error in logs

You're running WU-forecast.php (ML) Version 3.03 - 22-Feb-2017 -- I'd suggest updating to Version 3.05 - 13-Jun-2018 The undefined Notice for WU-forecast was likely caused by an incomplete fetch from the WU API. V3.05 should handle that (no cache save if incomplete return from WU API). As for the sy...
by saratogaWX
Sat Jun 23, 2018 4:50 pm
Forum: Web site - General
Topic: php error in logs
Replies: 16
Views: 155

Re: php error in logs

The sparkline script (spark.php) is not one of mine.. sorry. However, you can easily fix those notice errata by simply doing what the error message says. Example: [Sat Jun 23 16:46:09.908273 2018] [:error] [pid 5487] [client 92.27.85.131:51618] PHP Notice: Use of undefined constant winddir - assumed...
by saratogaWX
Sat Jun 23, 2018 1:59 am
Forum: Web site - General
Topic: php error in logs
Replies: 16
Views: 155

Re: php error in logs

What is the URL to your site page(s) showing the problem(s)?
by saratogaWX
Thu Jun 14, 2018 1:49 am
Forum: Saratoga Templates
Topic: wxforecast.php doesn't work
Replies: 14
Views: 2683

Re: wxforecast.php doesn't work

Looking at http://www.elgheko.us/check-fetch-times ... w=versions shows you downlevel on multiple scripts, including advforecast2.php V5.09 which fixes that issue :)
by saratogaWX
Tue May 29, 2018 7:28 pm
Forum: Saratoga Templates
Topic: Cumulus 1.9.4 or MX
Replies: 2
Views: 673

Re: Cumulus 1.9.4 or MX

From a Saratoga template perspective, both 1.9.4 and MX work to create the tags, realtime and NOAA report files needed. The main difference is that MX does not create .png graphs for the wxgraphs page.. only 1.9.4 does. You can use JPGraph to create the graphs from the JSON available from MX (or use...
by saratogaWX
Sun May 27, 2018 11:10 pm
Forum: Saratoga Templates
Topic: Regional mesonet-map scripts V4.00 with no map key required.
Replies: 2
Views: 457

Re: Regional mesonet-map scripts V4.00 with no map key required.

Did a small update to mesonet-map.css V4.02 today (27-May-2018). It fixes a problem with Saratoga templates and the flyout-menu flying under the zoom control. Adjusted all the z-index specs to be compatible.

Download just the changed file from https://saratoga-weather.org/mesonet-map.css
by saratogaWX
Wed May 23, 2018 10:24 pm
Forum: Saratoga Templates
Topic: Regional mesonet-map scripts V4.00 with no map key required.
Replies: 2
Views: 457

Regional mesonet-map scripts V4.00 with no map key required.

This is a major rewrite of the mesonet-map* scripts from Version 3 to the Version 4.00 - 23-May-2018 release today: 1) no Google map key is required. The new script set uses the open-source Leaflet/OpenStreetMaps set of scripts to provide the same functionality and improved display/performance. 2) s...
by saratogaWX
Sun Mar 25, 2018 9:09 pm
Forum: Saratoga Templates
Topic: wxforecast.php doesn't work
Replies: 14
Views: 2683

Re: wxforecast.php doesn't work

No, the issue is your advforecast2.php (multi) - V4.02 - 07-Nov-2015 -- You need to use V4.03 after the end of February, 2018 when the NWS forced all accesses to *.weather.gov to https. The V4.02 and earlier could not do https (only http). Download the update from the script page and your forecast s...
by saratogaWX
Sat Mar 17, 2018 3:23 pm
Forum: Saratoga Templates
Topic: WU-forecast.php
Replies: 35
Views: 4953

Re: WU-forecast.php

The WU developers Trello status board still shows my two entries about the API (missing forecasts, some non-English requests return English forecasts) in 'Backlog', so it's unlikely they are working on it yet. Sigh. :groan:
by saratogaWX
Tue Mar 13, 2018 3:57 pm
Forum: Web site - General
Topic: htm to php
Replies: 5
Views: 756

Re: htm to php

Something to keep in mind... a PHP page is just an HTML page with embedded PHP markup, otherwise, it's no different. You can take a HTML page and just change it's extension to .php and it will display the same without any PHP markup embedded. So just rename your index.htm to index.php and it will wo...
by saratogaWX
Tue Mar 13, 2018 3:54 pm
Forum: Saratoga Templates
Topic: Modifying Width
Replies: 2
Views: 563

Re: Modifying Width

Possible, yes.. reasonably easy, not so much. The flyout-menu.php script generates a dynamic CSS (based on current selected theme colors) each time a wx...php page is loaded. So, there are two areas to modify: 1) the weather-{color}-{width}-screen.css sets the overall dimensions for the page . 2) th...
by saratogaWX
Tue Mar 06, 2018 5:09 pm
Forum: General
Topic: NWS Forecast with icons
Replies: 2
Views: 701

Re: NWS Forecast with icons

On your website, your advforecast2.php is Version 4.01 - 07-Jul-2015 -- versions below V4.03 (current) will not work anymore as the NWS has changed www.weather.gov and forecast.weather.gov to be HTTPS only and only V4.03/V5.04 can use HTTPS.

Update your script and it should work again for you.

Go to advanced search